﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Instantly</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>

<body>
    <header>
        @*
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Instantly</a>
                <button class="navbar-toggler navbar-dark" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Index">Домашня</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Privacy">Конфіденційність</a>
                        </li>
                        @if (!User.Identity.IsAuthenticated)
                        {
                            <li class="nav-item">
                                <!--<a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="">Увійти</a>-->
                                <a class="nav-link text-light" asp-area="" asp-controller="Account" asp-action="Login">Увійти</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link reg-a" asp-area="" asp-controller="Account" asp-action="Registration">Реєстрація</a>
                            </li>
                        }
                        else
                        {
                            <li>
                                <div class="btn-group">
                                    <a class="btn dropdown-toggle" style="background-color: white; color: black;" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        @User.Identity.Name
                                    </a>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" asp-controller="Account" asp-action="Profile" asp-route-useremail="@User.Identity.Name">Профіль</a>
                                        <a class="dropdown-item" asp-controller="Orders" asp-action="UserOrders">Мої замовлення</a>
                                        <a class="dropdown-item" asp-controller="Orders" asp-action="Create">Створити замовлення</a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" asp-controller="Account" asp-action="Logout">Вихід</a>
                                    </div>
                                </div>
                            </li>
                        }
                    </ul>
                </div>
            </div>
        </nav>
        *@
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm border-bottom box-shadow mb-3 justify-content-between">
            <div class="container">

                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Instantly</a>
                <button class="navbar-toggler navbar-dark" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="navbar-collapse collapse">
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Index">Домашня</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Privacy">Конфіденційність</a>
                        </li>
                        </ul>
                        @if (!User.Identity.IsAuthenticated)
                        {
                            <div class="nav-item">
                                <a class="nav-link text-light" asp-area="" asp-controller="Account" asp-action="Login">Увійти</a>
                            </div>
                            <div class="nav-item">
                                <a class="nav-link reg-a" asp-area="" asp-controller="Account" asp-action="Registration">Реєстрація</a>
                            </div>
                        }
                        else
                        {
                            <div class="nav-item">
                                <div class="btn-group">
                                    <a class="btn dropdown-toggle" style="background-color: white; color: black;" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        @User.Identity.Name
                                    </a>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" asp-controller="Account" asp-action="Profile" asp-route-useremail="@User.Identity.Name">Профіль</a>
                                        <a class="dropdown-item" asp-controller="Orders" asp-action="UserOrders">Мої замовлення</a>
                                        <a class="dropdown-item" asp-controller="Orders" asp-action="Create">Створити замовлення</a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" asp-controller="Account" asp-action="Logout">Вихід</a>
                                    </div>
                                </div>
                            </div>
                        }
                    
                </div>
            </div>
        </nav>
    </header>


    <div class="container-fluid">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>


    <footer class="border-top footer">
        <div class="container">
            &copy; @DateTime.Now.Year - Instantly - <a style="color: white;" asp-area="" asp-controller="Home" asp-action="Privacy">Конфіденційність</a>
        </div>
    </footer>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>